package com.yutou.nas.mybatis.model;

import java.util.ArrayList;
import java.util.List;

public class VideoDataExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public VideoDataExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVidIsNull() {
            addCriterion("vid is null");
            return (Criteria) this;
        }

        public Criteria andVidIsNotNull() {
            addCriterion("vid is not null");
            return (Criteria) this;
        }

        public Criteria andVidEqualTo(Integer value) {
            addCriterion("vid =", value, "vid");
            return (Criteria) this;
        }

        public Criteria andVidNotEqualTo(Integer value) {
            addCriterion("vid <>", value, "vid");
            return (Criteria) this;
        }

        public Criteria andVidGreaterThan(Integer value) {
            addCriterion("vid >", value, "vid");
            return (Criteria) this;
        }

        public Criteria andVidGreaterThanOrEqualTo(Integer value) {
            addCriterion("vid >=", value, "vid");
            return (Criteria) this;
        }

        public Criteria andVidLessThan(Integer value) {
            addCriterion("vid <", value, "vid");
            return (Criteria) this;
        }

        public Criteria andVidLessThanOrEqualTo(Integer value) {
            addCriterion("vid <=", value, "vid");
            return (Criteria) this;
        }

        public Criteria andVidIn(List<Integer> values) {
            addCriterion("vid in", values, "vid");
            return (Criteria) this;
        }

        public Criteria andVidNotIn(List<Integer> values) {
            addCriterion("vid not in", values, "vid");
            return (Criteria) this;
        }

        public Criteria andVidBetween(Integer value1, Integer value2) {
            addCriterion("vid between", value1, value2, "vid");
            return (Criteria) this;
        }

        public Criteria andVidNotBetween(Integer value1, Integer value2) {
            addCriterion("vid not between", value1, value2, "vid");
            return (Criteria) this;
        }

        public Criteria andFiletitleIsNull() {
            addCriterion("fileTitle is null");
            return (Criteria) this;
        }

        public Criteria andFiletitleIsNotNull() {
            addCriterion("fileTitle is not null");
            return (Criteria) this;
        }

        public Criteria andFiletitleEqualTo(String value) {
            addCriterion("fileTitle =", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleNotEqualTo(String value) {
            addCriterion("fileTitle <>", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleGreaterThan(String value) {
            addCriterion("fileTitle >", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleGreaterThanOrEqualTo(String value) {
            addCriterion("fileTitle >=", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleLessThan(String value) {
            addCriterion("fileTitle <", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleLessThanOrEqualTo(String value) {
            addCriterion("fileTitle <=", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleLike(String value) {
            addCriterion("fileTitle like", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleNotLike(String value) {
            addCriterion("fileTitle not like", value, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleIn(List<String> values) {
            addCriterion("fileTitle in", values, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleNotIn(List<String> values) {
            addCriterion("fileTitle not in", values, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleBetween(String value1, String value2) {
            addCriterion("fileTitle between", value1, value2, "filetitle");
            return (Criteria) this;
        }

        public Criteria andFiletitleNotBetween(String value1, String value2) {
            addCriterion("fileTitle not between", value1, value2, "filetitle");
            return (Criteria) this;
        }

        public Criteria andPathIsNull() {
            addCriterion("`path` is null");
            return (Criteria) this;
        }

        public Criteria andPathIsNotNull() {
            addCriterion("`path` is not null");
            return (Criteria) this;
        }

        public Criteria andPathEqualTo(String value) {
            addCriterion("`path` =", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotEqualTo(String value) {
            addCriterion("`path` <>", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathGreaterThan(String value) {
            addCriterion("`path` >", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathGreaterThanOrEqualTo(String value) {
            addCriterion("`path` >=", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLessThan(String value) {
            addCriterion("`path` <", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLessThanOrEqualTo(String value) {
            addCriterion("`path` <=", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathLike(String value) {
            addCriterion("`path` like", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotLike(String value) {
            addCriterion("`path` not like", value, "path");
            return (Criteria) this;
        }

        public Criteria andPathIn(List<String> values) {
            addCriterion("`path` in", values, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotIn(List<String> values) {
            addCriterion("`path` not in", values, "path");
            return (Criteria) this;
        }

        public Criteria andPathBetween(String value1, String value2) {
            addCriterion("`path` between", value1, value2, "path");
            return (Criteria) this;
        }

        public Criteria andPathNotBetween(String value1, String value2) {
            addCriterion("`path` not between", value1, value2, "path");
            return (Criteria) this;
        }

        public Criteria andVideotimerIsNull() {
            addCriterion("videoTimer is null");
            return (Criteria) this;
        }

        public Criteria andVideotimerIsNotNull() {
            addCriterion("videoTimer is not null");
            return (Criteria) this;
        }

        public Criteria andVideotimerEqualTo(String value) {
            addCriterion("videoTimer =", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerNotEqualTo(String value) {
            addCriterion("videoTimer <>", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerGreaterThan(String value) {
            addCriterion("videoTimer >", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerGreaterThanOrEqualTo(String value) {
            addCriterion("videoTimer >=", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerLessThan(String value) {
            addCriterion("videoTimer <", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerLessThanOrEqualTo(String value) {
            addCriterion("videoTimer <=", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerLike(String value) {
            addCriterion("videoTimer like", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerNotLike(String value) {
            addCriterion("videoTimer not like", value, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerIn(List<String> values) {
            addCriterion("videoTimer in", values, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerNotIn(List<String> values) {
            addCriterion("videoTimer not in", values, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerBetween(String value1, String value2) {
            addCriterion("videoTimer between", value1, value2, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideotimerNotBetween(String value1, String value2) {
            addCriterion("videoTimer not between", value1, value2, "videotimer");
            return (Criteria) this;
        }

        public Criteria andVideodataIsNull() {
            addCriterion("videoData is null");
            return (Criteria) this;
        }

        public Criteria andVideodataIsNotNull() {
            addCriterion("videoData is not null");
            return (Criteria) this;
        }

        public Criteria andVideodataEqualTo(String value) {
            addCriterion("videoData =", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataNotEqualTo(String value) {
            addCriterion("videoData <>", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataGreaterThan(String value) {
            addCriterion("videoData >", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataGreaterThanOrEqualTo(String value) {
            addCriterion("videoData >=", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataLessThan(String value) {
            addCriterion("videoData <", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataLessThanOrEqualTo(String value) {
            addCriterion("videoData <=", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataLike(String value) {
            addCriterion("videoData like", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataNotLike(String value) {
            addCriterion("videoData not like", value, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataIn(List<String> values) {
            addCriterion("videoData in", values, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataNotIn(List<String> values) {
            addCriterion("videoData not in", values, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataBetween(String value1, String value2) {
            addCriterion("videoData between", value1, value2, "videodata");
            return (Criteria) this;
        }

        public Criteria andVideodataNotBetween(String value1, String value2) {
            addCriterion("videoData not between", value1, value2, "videodata");
            return (Criteria) this;
        }

        public Criteria andSounddataIsNull() {
            addCriterion("soundData is null");
            return (Criteria) this;
        }

        public Criteria andSounddataIsNotNull() {
            addCriterion("soundData is not null");
            return (Criteria) this;
        }

        public Criteria andSounddataEqualTo(String value) {
            addCriterion("soundData =", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataNotEqualTo(String value) {
            addCriterion("soundData <>", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataGreaterThan(String value) {
            addCriterion("soundData >", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataGreaterThanOrEqualTo(String value) {
            addCriterion("soundData >=", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataLessThan(String value) {
            addCriterion("soundData <", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataLessThanOrEqualTo(String value) {
            addCriterion("soundData <=", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataLike(String value) {
            addCriterion("soundData like", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataNotLike(String value) {
            addCriterion("soundData not like", value, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataIn(List<String> values) {
            addCriterion("soundData in", values, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataNotIn(List<String> values) {
            addCriterion("soundData not in", values, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataBetween(String value1, String value2) {
            addCriterion("soundData between", value1, value2, "sounddata");
            return (Criteria) this;
        }

        public Criteria andSounddataNotBetween(String value1, String value2) {
            addCriterion("soundData not between", value1, value2, "sounddata");
            return (Criteria) this;
        }

        public Criteria andIsplayIsNull() {
            addCriterion("isPlay is null");
            return (Criteria) this;
        }

        public Criteria andIsplayIsNotNull() {
            addCriterion("isPlay is not null");
            return (Criteria) this;
        }

        public Criteria andIsplayEqualTo(Integer value) {
            addCriterion("isPlay =", value, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayNotEqualTo(Integer value) {
            addCriterion("isPlay <>", value, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayGreaterThan(Integer value) {
            addCriterion("isPlay >", value, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayGreaterThanOrEqualTo(Integer value) {
            addCriterion("isPlay >=", value, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayLessThan(Integer value) {
            addCriterion("isPlay <", value, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayLessThanOrEqualTo(Integer value) {
            addCriterion("isPlay <=", value, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayIn(List<Integer> values) {
            addCriterion("isPlay in", values, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayNotIn(List<Integer> values) {
            addCriterion("isPlay not in", values, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayBetween(Integer value1, Integer value2) {
            addCriterion("isPlay between", value1, value2, "isplay");
            return (Criteria) this;
        }

        public Criteria andIsplayNotBetween(Integer value1, Integer value2) {
            addCriterion("isPlay not between", value1, value2, "isplay");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeIsNull() {
            addCriterion("lastPlayTime is null");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeIsNotNull() {
            addCriterion("lastPlayTime is not null");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeEqualTo(String value) {
            addCriterion("lastPlayTime =", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeNotEqualTo(String value) {
            addCriterion("lastPlayTime <>", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeGreaterThan(String value) {
            addCriterion("lastPlayTime >", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeGreaterThanOrEqualTo(String value) {
            addCriterion("lastPlayTime >=", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeLessThan(String value) {
            addCriterion("lastPlayTime <", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeLessThanOrEqualTo(String value) {
            addCriterion("lastPlayTime <=", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeLike(String value) {
            addCriterion("lastPlayTime like", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeNotLike(String value) {
            addCriterion("lastPlayTime not like", value, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeIn(List<String> values) {
            addCriterion("lastPlayTime in", values, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeNotIn(List<String> values) {
            addCriterion("lastPlayTime not in", values, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeBetween(String value1, String value2) {
            addCriterion("lastPlayTime between", value1, value2, "lastplaytime");
            return (Criteria) this;
        }

        public Criteria andLastplaytimeNotBetween(String value1, String value2) {
            addCriterion("lastPlayTime not between", value1, value2, "lastplaytime");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}